---     
tags: 
  - Access Requests
description: Returns a list of access requests. Excludes access requests with an associated user by default.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: per_page
    type: int
    required: false
  - in: path
    name: page
    type: int
    required: false
  - in: path
    name: include_requests_with_user
    type: bool
    required: false
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        "count": 2,
        "access_requests": [
          {
              "created_at": "Mon, 01 Jan 2024 00:00:00 GMT",
              "email": "email@satsense.com",
              "id": 1,
              "user_name": "Name",
              "phone": "09876 54321",
              "company_name": "Satsense",
              "country": "United Kingdom",
              "user_id": None
          },
          {
              "created_at": "Mon, 02 Jan 2024 00:00:00 GMT",
              "email": "email2@satsense.com",
              "id": 2,
              "user_name": "Name 2",
              "phone": "12345 67890",
              "company_name": "Satsense",
              "country": "United Kingdom",
              "user_id": None
          }
        ]
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

